<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

echo '<img src="../images/img/profiles.gif" alt=""> <b>Изменение данных</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

if($udata[36]<150){ $meil=$udata[4]; } else { $meil = strtolower(check($meil)); }

if (md5($provpass)==$udata[1]){
if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$meil)){
if ($site=="" || preg_match('#^http://([a-z0-9_\-\.])+(\.([a-z0-9\/])+)+$#',$site)){
if ($happy=="" || preg_match('#^[0-9]{1,2}+\.[0-9]{2}+\.([0-9]{2}|[0-9]{4})$#',$happy)){

$filem = file(BASEDIR."local/blackmail.dat","a+");
foreach($filem as $valuem){
$datam=explode("|",$valuem);
$arraymail[]=$datam[1];
}

if(!in_array($meil,$arraymail)){

$subscribe = $udata[34];

//------------------------------- Блок подписки ----------------------------//
if($subnews=="yes"){
$lines=file(BASEDIR."local/sub.dat");

foreach($lines as $subvalue){
$mailsinbase=explode("|",$subvalue);
if ($meil == $mailsinbase[0]){ 
$result="error"; break; 
}}


if($result==""){

$subscribe=1;

$text=$meil.'|'.generate_password().'|'.$sitetime.'||'.$log.'|';

$fp=fopen(BASEDIR."local/sub.dat","a+");
flock($fp,LOCK_EX);
fputs ($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose ($fp);
}}


//------------------------------- Блок отписки ----------------------------//
if($subnews=="no"){
$lines=file(BASEDIR."local/sub.dat"); 

$subscribe = 0; 

foreach($lines as $key=>$subvalue){
$mailsinbase=explode("|",$subvalue);

if ($log == $mailsinbase[4]){ 
$str = $key; break;
}}


if($str!=""){
$file=file(BASEDIR."local/sub.dat"); 
$fp=fopen(BASEDIR."local/sub.dat","w");
flock ($fp,LOCK_EX);
for ($i=0; $i< sizeof($file);$i++) { if ($i==$str) {unset($file[$str]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}}

$otkel=substr($otkel,0,100);
$infa=substr($infa,0,700);
$mobila=substr($mobila,0,30);
$icq=substr($icq,0,15);
$my_name=substr($my_name,0,100);

//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[2]=check(no_br($otkel));
$udata[3]=check(no_br($infa));
$udata[4]=check(no_br($meil));
$udata[5]=check(no_br($site));
$udata[13]=check(no_br($mobila));
$udata[14]=check(no_br($ip));
$udata[15]=check(no_br($pol));
$udata[16]=(int)$rost;
$udata[17]=(int)$ves;
$udata[18]=check(no_br($happy));
$udata[19]=check(no_br($icq));
$udata[29]=check(no_br($my_name));
$udata[34]=$subscribe;


for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext); 
}

header ("Location: ../index.php?isset=editprofil&".SID); exit;

} else {echo '<b>Ошибка! Указанный вами адрес e-mail занесен в черный список</b><br>';}
} else {echo '<b>Неправильный формат даты рождения, необходим формат дд.мм.гг</b><br>';}
} else {echo '<b>Неправильный адрес сайта, необходим формата http://my_site.domen</b><br>';}
} else {echo '<b>Неправильный адрес e-mail, необходим формат name@site.domen</b><br>';}
} else {echo '<b>Ошибка! Пароль не совпадает с данными в профиле</b><br>';}


} else {
echo '<br>Вы не авторизованы, чтобы изменять свои настройки, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br>';
}     

echo'<br><img src="../images/img/back.gif" alt=""> <a href="profil.php?'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";               
?>